path = src/use_cases/seba_on_arm/src_repo/voltha
url = https://github.com/iecedge/voltha.git
branch = jglr_move_to_cachengo_infra
+[submodule "etcd-operator-docker"]
+ path = src/use_cases/seba_on_arm/src_repo/etcd-operator-docker
+ url = https://github.com/iecedge/etcd-operator-docker.git
+[submodule "etcd"]
+ path = src/use_cases/seba_on_arm/src_repo/etcd
+ url = https://github.com/iecedge/etcd.git
+[submodule "onos"]
+ path = src/use_cases/seba_on_arm/src_repo/onos
+ url = https://github.com/iecedge/onos.git
+ branch = v1.13.5
+[submodule "beats-docker"]
+ path = src/use_cases/seba_on_arm/src_repo/beats-docker
+ url = https://github.com/iecedge/beats-docker.git
+ branch = 6.4.2-arm64v8
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the filebeat-oss docker image
+set -o errexit
+set -o xtrace
+
+#cd $BEATS-DOCKER_PATH
+
+#building filebeat-oss docker image
+IMAGE_TAG=akrainoenea/filebeat ELASTIC_VERSION=6.4.2 IMAGE_FLAVORS=oss DEFAULT_IMAGE_FLAVOR=oss make filebeat
+docker tag docker.elastic.co/beats/filebeat-oss:6.4.2 iecedge/filebeat-oss_arm64:6.4.2
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the etcd-operator docker images
+set -o errexit
+set -o xtrace
+
+#cd $ETCD-OPERATOR-DOCKER_PATH
+
+#building etcd-operator docker images
+docker build -t iecedge/etcd-operator_arm64:v0.9.2 .
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the etcd docker image
+set -o errexit
+set -o xtrace
+
+#cd $ETCD_PATH
+
+#building etcd docker image
+./scripts/build-docker v3.3.10
+docker tag quay.io/coreos/etcd:v3.3.10-arm64 iecedge/etcd_arm64:v3.3.10
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the onos docker image
+set -o errexit
+set -o xtrace
+
+#cd $ONOS_PATH
+
+#building onos docker image
+docker build -t iecedge/onos_arm64:v1.13.5 .
--- /dev/null
+From f13d46ea72f5e0d9e8a43a10b19b9914ece25d02 Mon Sep 17 00:00:00 2001
+From: jialv01 <Jianlin.Lv@arm.com>
+Date: Mon, 15 Apr 2019 21:29:50 +0800
+Subject: [PATCH] Correct path errors and tar command errors
+
+Correct path errors and tar command errors
+
+Signed-off-by: jialv01 <Jianlin.Lv@arm.com>
+---
+ templates/Dockerfile.j2 | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/templates/Dockerfile.j2 b/templates/Dockerfile.j2
+index 9cdcb4a..31ed20b 100644
+--- a/templates/Dockerfile.j2
++++ b/templates/Dockerfile.j2
+@@ -24,8 +24,8 @@ FROM centos:7
+
+ RUN yum update -y && yum install -y curl && yum clean all
+
+-COPY --from=golang /go/src/github.com/alexandruavadanii/beats/{{ beat }}/build/distributions/{{ beat }}-{{ elastic_version }}-linux-arm64.tar.gz /tmp
+-RUN tar zxf /tmp/FIXME -C /tmp && \
++COPY --from=golang /go/src/github.com/elastic/beats/{{ beat }}/build/distributions/{{ beat }}-{{ elastic_version }}-linux-arm64.tar.gz /tmp
++RUN tar zxf /tmp/{{ beat }}-{{ elastic_version }}-linux-arm64.tar.gz -C /tmp && \
+ mv /tmp/{{ beat }}-{{ elastic_version }}-linux-arm64 {{ beat_home }} && \
+ rm /tmp/{{ beat }}-{{ elastic_version }}-linux-arm64.tar.gz
+
+--
+2.17.1
+
--- /dev/null
+Subproject commit 3ff5db2897a1254f1131fefe14eaa60049a8c0c3
--- /dev/null
+Subproject commit 27fc7e2296f506182f58ce846e48f36b34fe6842
--- /dev/null
+Subproject commit fc5c9e7e20eef0d29fb706f651ae3096359039a9
--- /dev/null
+Subproject commit 187e13d77773ea76f146458dd4702f0ea86c9cd3